[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.Notification

Handles the notification when a component is added to or removed from the class instance.

## Declaration

Source position: comctrls.pp line 841

`protected procedure TTabControl.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the component.

## Description

Notification is an overridden method in TTabControl, and calls the inherited method on entry. It ensures that the Images member is set to Nil when the component is removed from the class instance.

## See also

TCustomTabControl.Notification |  | Handles a notification when a component is added to or removed from the control.